Skip to content

updatePurchaseOrderStatus

WRITE

Update purchase order status.

POST /api/v1/purchasing/updatePurchaseOrderStatus
curl -X POST '<your-host>/api/v1/purchasing/updatePurchaseOrderStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "assignee": "string"
  }'

Parameters

ParameterType
"Draft""Planned""Needs Approval""To Review""To Receive""To Receive and Invoice""To Invoice""Completed""Rejected""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Planned",
        "Needs Approval",
        "To Review",
        "To Receive",
        "To Receive and Invoice",
        "To Invoice",
        "Completed",
        "Rejected",
        "Closed"
      ]
    },
    "assignee": {
      "type": "null"
    }
  },
  "required": [
    "id",
    "status",
    "assignee"
  ]
}